List stores
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/stores \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/stores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"stores": [
{
"createdAt": "2023-11-07T05:31:56Z",
"merchantId": "<string>",
"name": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"location": {
"country": "<string>",
"address": "<string>",
"city": "<string>",
"postalCode": "<string>",
"latitude": 123,
"state": "<string>",
"longitude": 123
}
}
],
"nextToken": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Stores
List stores
Returns stores for your company. Supports filtering by merchant.
GET
https://api.platform.getstell.com
/
v1
/
stores
List stores
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/stores \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/stores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"stores": [
{
"createdAt": "2023-11-07T05:31:56Z",
"merchantId": "<string>",
"name": "<string>",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"location": {
"country": "<string>",
"address": "<string>",
"city": "<string>",
"postalCode": "<string>",
"latitude": 123,
"state": "<string>",
"longitude": 123
}
}
],
"nextToken": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
⌘I